package de.fhapp.jme.scrap;

import javax.sound.midi.MidiDevice;
import javax.sound.midi.MidiDevice.Info;
import javax.sound.midi.MidiSystem;
import javax.sound.midi.MidiUnavailableException;

public class ListDevices {
	public static String listMidiDevices() {
		StringBuffer retval = new StringBuffer();
		Info[] infos = MidiSystem.getMidiDeviceInfo();
		int i = 0;
		MidiDevice dev = null;
		for(Info currInfo : infos) {
			try {
				dev = MidiSystem.getMidiDevice(currInfo);
				retval.append("Idx: ").append(i++).append(" - ")
				.append(currInfo.getName()).append(" Rec: ").append(dev.getMaxReceivers())
				.append(" Trans: ").append(dev.getMaxTransmitters())
				.append("\n");
			} catch (MidiUnavailableException e) {
				e.printStackTrace();
			}
		}
		return retval.toString();
	}
	
	public static void main(String[] args) {
		System.out.println(listMidiDevices());
	}
}
